module Storing
	class AbstractStore
		def query query_obj
			raise NotImplementedError
		end

		def select conditions={}
			raise NotImplementedError
		end

		def insert entity_hash={}
			raise NotImplementedError
		end

		def update entity_hash={}
			raise NotImplementedError
		end

		def delete entity_hash={}
			raise NotImplementedError
		end

		def transaction
			raise NotImplementedError
		end

		def table_name
			raise NotImplementedError
		end

		def primary_key
			raise NotImplementedError
		end
	end
end