require 'storing/abstract/abstract_inquirer'

module Storing
	class Inquirer < AbstractInquirer

		def self.query mapper, store, query_object
			new(mapper, store, query_object).query
		end

		attr_reader :mapper, :store, :query_object

		def initialize mapper, store, query_object
			@mapper = mapper
			@store = store
			@query_object = query_object
		end

		def query query_object
			mapper.parse store.query(query_object)
		end
	end
end