require 'storing/abstract/abstract_selector'

module Storing
	class Selector < AbstractSelector
 
		def self.select mapper, store, conditions={}
			new(mapper, store, conditions).select
		end

		attr_reader :mapper, :store, :conditions

		def initialize mapper, store, conditions={}
			@mapper = mapper
			@store = store
			@conditions = conditions
		end

		def select
			mapper.parse store.select(conditions)
		end
	end
end